Subject: [Anima] : check out RTGWG for GRASP / PAP

From: "[email-masked]" <[email-masked]>
Date: Mon, 16 Nov 2020 09:55:53 +0100

Dear ANIMA,

Shuanglong proposed to present on PAP in ANIMA.

    https://datatracker.ietf.org/doc/draft-li-rtgwg-protocol-assisted-protocol/

Unfortunately, we will likely not have enough time to discuss this in ANIMA @ IETF109 
(limited time for ANIMA meeting).

Nevertheless, Shuanglong will present on wednesday in RTGWG meeting about PAP,
and i will present on thursday about GRASP, primarily to educate RTGWG also
about GRASP as a pre-existing alternative to PAP.

IMHO, the ideal output would be that the people interested in the automation
desired, and for which PAP is proposed would see that this could be done today
easier already with GRASP. And that ultimately we could get more people to
propose ASA protocols using GRASP.

Cheers
    Toerless

In-Reply-To: <[email-masked]>
On Tue, Nov 03, 2020 at 11:22:33AM +0000, Chenshuanglong wrote:
> Hi
>     Thanks for your feedback. This is the design before PAP Draft 02. I didn't notice that there was a GRASP protocol.
> Therefore, we submitted draft 03 and wanted to get the comments from ANIMA. Whether the use cases and ideas mentioned in the PAP can be extended on the GRASP.
> 
> Regards
> Shuanglong
> 
> 
> 
> -----Original Message-----
> From: Anima [mailto:[email-masked]] On Behalf Of Brian E Carpenter
> Sent: Tuesday, November 3, 2020 11:28 AM
> To: Chenshuanglong <[email-masked]>; [email-masked]; [email-masked]
> Cc: Lizhenbin <[email-masked]>; [email-masked]; Guyunan <[email-masked]>
> Subject: Re: [Anima] ??????: Request for presentation
> 
> Hi,
> 
> I don't really understand why you might need a new protocol for this. It sounds like a very good application for the ANIMA model, and everything you describe could easily be expressed in GRASP objectives (synchronization or negotiation are both covered). You discuss this in Section 7.
> 
> On one specific point:
> 
> >    PAP uses UDP as its transport protocol, which is connectionless.  The
> >    reason that UDP is selected over TCP is because PAP is intended for
> >    on-demand communications.
> 
> I don't understand that argument. In either case you need a listener, whether it's listening for a new TCP connection or a new UDP session. Actually it's a lot more work, in my experience, to write a UDP server because it has to do a lot of housekeeping that TCP does for you. I started designing a GRASP implementation over UDP but decided that it would not in reality be more efficient than TCP, because it would need extra logic at the upper layer to manage session state.
> 
> Also of course TCP gives you TLS, which I suspect is a lot easier in practice than DTLS. However, if you use the ANIMA infrastructure you get a full security solution without any extra work.
> 
> Regards
>    Brian Carpenter
> 
> On 03-Nov-20 15:55, Chenshuanglong wrote:
> > Hi Toerless,
> >     Because this draft is related to ANIMA, I would like to discuss it in the ANIMA session.
> >   
> > Regards
> > Shuanglong
> > 
> > ?????????: [email-masked] [mailto:[email-masked]] 
> > ????????????: 2020???11???2??? 23:55
> > ?????????: Chenshuanglong <[email-masked]>
> > ??????: Lizhenbin <[email-masked]>; Guyunan <[email-masked]>
> > ??????: Re: Request for presentation
> > 
> > Shuanglong:
> > 
> > You did not indicate which session you want to present in 
> > 
> > Cheers
> >     Toerless
> > 
> > On Mon, Nov 02, 2020 at 01:36:35PM +0000, Chenshuanglong wrote:
> >> Hi Toerless,
> >>
> >> I apply for timeslot for presentation.  The information of the presentation is as follows:
> >>
> >> Name of time slot:  draft-li-rtgwg-protocol-assisted-protocol-03
> >>
> >> Name of draft(s) (if any, NOT REQUIRED, but usually desired ;-): draft-li-rtgwg-protocol-assisted-protocol-03
> >>                                  https://tools.ietf.org/html/draft-li-rtgwg-protocol-assisted-protocol-03
> >> Amount of time requested: 10 minutes
> >>
> >> Presenter name(s): Shuanglong Chen
> >>
> >> Best Regards,
> >> Shuanglong
> > _______________________________________________
> > Anima mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/anima
> > 
> 
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima